edu.msu.cme.rdp.classifier.train

## Class LineageSequenceParser

- java.lang.Object
- - edu.msu.cme.rdp.classifier.train.LineageSequenceParser

    public class LineageSequenceParser
    extends java.lang.Object

A parser to parse a reader containing the raw sequences.

### Field Summary

Fields
`static java.lang.String` `delimiter`

### Constructor Summary

Constructors
Constructor and Description
`LineageSequenceParser(java.io.File inFile)` Creates new RawSequenceParser to parse the input fasta file.
`LineageSequenceParser(java.io.InputStream is)` Creates new RawSequenceParser to parse the input fasta file.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Closes the reader.
`boolean` `hasNext()` Returns true if there is a parsed sequence available.
`LineageSequence` `next()` Returns the next parsed sequence.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### delimiter

    public static final java.lang.String delimiter

See Also:
  Constant Field Values

### Constructor Detail

#### LineageSequenceParser

    public LineageSequenceParser(java.io.File inFile)
                          throws java.io.IOException

Creates new RawSequenceParser to parse the input fasta file.

Throws:
  `java.io.IOException`

#### LineageSequenceParser

    public LineageSequenceParser(java.io.InputStream is)
                          throws java.io.IOException

Creates new RawSequenceParser to parse the input fasta file.

Throws:
  `java.io.IOException`

### Method Detail

#### close

    public void close()
               throws java.io.IOException

Closes the reader.

Throws:
  `java.io.IOException`

#### hasNext

    public boolean hasNext()
                    throws java.io.IOException

Returns true if there is a parsed sequence available.

Throws:
  `java.io.IOException`

#### next

    public LineageSequence next()
                         throws java.util.NoSuchElementException,
                                java.io.IOException

Returns the next parsed sequence.

Throws:
  `java.util.NoSuchElementException`
  `java.io.IOException`